import dynamix_sdk.base as _base


class CloudapiComputeDetachGpuResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiComputeDetachGpuProtocol(_base.BasePostAPIFunctionProtocol):
    def detach_gpu(
        self,
        *,
        vm_id: int,
        vgpu_id: int | None = None,
    ) -> CloudapiComputeDetachGpuResultBool:
        ...
